/*===========================================================================*/
/*   (Ieee/equiv.scm)                                                        */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Ieee/equiv.scm -indent -o objs/obj_s/Ieee/equiv.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___R4_EQUIVALENCE_6_2_TYPE_DEFINITIONS
#define BGL___R4_EQUIVALENCE_6_2_TYPE_DEFINITIONS

/* object type definitions */

#endif // BGL___R4_EQUIVALENCE_6_2_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_symbol1682z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol1684z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol1686z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol1688z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol1691z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol1694z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol1696z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol1698z00zz__r4_equivalence_6_2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62eqzf3z91zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_list1681z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_list1690z00zz__r4_equivalence_6_2z00 = BUNSPEC;
extern bool_t ucs2_strcmp(obj_t, obj_t);
static obj_t BGl_list1693z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00(void);
static obj_t BGl_genericzd2initzd2zz__r4_equivalence_6_2z00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(void);
static obj_t BGl_gczd2rootszd2initz00zz__r4_equivalence_6_2z00(void);
static obj_t BGl_objectzd2initzd2zz__r4_equivalence_6_2z00(void);
extern obj_t BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_objectzd2equalzf3z21zz__objectz00(BgL_objectz00_bglt, BgL_objectz00_bglt);
extern obj_t bgl_weakptr_data(obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00(void);
extern long bgl_date_to_seconds(obj_t);
static obj_t BGl_z62equalzf3z91zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62eqvzf3z91zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t *__cnst;


BGL_DEFINE_STRING(BGl_string1700z00zz__r4_equivalence_6_2z00, BgL_bgl_string1700za700za7za7_1703za7, "equal?", 6 );
BGL_DEFINE_STRING(BGl_string1701z00zz__r4_equivalence_6_2z00, BgL_bgl_string1701za700za7za7_1704za7, "custom", 6 );
BGL_DEFINE_STRING(BGl_string1702z00zz__r4_equivalence_6_2z00, BgL_bgl_string1702za700za7za7_1705za7, "__r4_equivalence_6_2", 20 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_eqvzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl_za762eqvza7f3za791za7za7__1706za7, BGl_z62eqvzf3z91zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2);
BGL_DEFINE_STRING(BGl_string1677z00zz__r4_equivalence_6_2z00, BgL_bgl_string1677za700za7za7_1707za7, "/tmp/bigloo/runtime/Ieee/equiv.scm", 34 );
BGL_DEFINE_STRING(BGl_string1678z00zz__r4_equivalence_6_2z00, BgL_bgl_string1678za700za7za7_1708za7, "test", 4 );
BGL_DEFINE_STRING(BGl_string1679z00zz__r4_equivalence_6_2z00, BgL_bgl_string1679za700za7za7_1709za7, "procedure", 9 );
BGL_DEFINE_STRING(BGl_string1680z00zz__r4_equivalence_6_2z00, BgL_bgl_string1680za700za7za7_1710za7, "test:Wrong number of arguments", 30 );
BGL_DEFINE_STRING(BGl_string1683z00zz__r4_equivalence_6_2z00, BgL_bgl_string1683za700za7za7_1711za7, "funcall", 7 );
BGL_DEFINE_STRING(BGl_string1685z00zz__r4_equivalence_6_2z00, BgL_bgl_string1685za700za7za7_1712za7, "get", 3 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl_za762eqza7f3za791za7za7__r1713za7, BGl_z62eqzf3z91zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2);
BGL_DEFINE_STRING(BGl_string1687z00zz__r4_equivalence_6_2z00, BgL_bgl_string1687za700za7za7_1714za7, "obj1", 4 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl_za762equalza7f3za791za7za71715za7, BGl_z62equalzf3z91zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2);
BGL_DEFINE_STRING(BGl_string1689z00zz__r4_equivalence_6_2z00, BgL_bgl_string1689za700za7za7_1716za7, "i", 1 );
BGL_DEFINE_STRING(BGl_string1692z00zz__r4_equivalence_6_2z00, BgL_bgl_string1692za700za7za7_1717za7, "obj2", 4 );
BGL_DEFINE_STRING(BGl_string1695z00zz__r4_equivalence_6_2z00, BgL_bgl_string1695za700za7za7_1718za7, "cmp", 3 );
BGL_DEFINE_STRING(BGl_string1697z00zz__r4_equivalence_6_2z00, BgL_bgl_string1697za700za7za7_1719za7, "arg1201", 7 );
BGL_DEFINE_STRING(BGl_string1699z00zz__r4_equivalence_6_2z00, BgL_bgl_string1699za700za7za7_1720za7, "arg1202", 7 );

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_STRING(BGl_string1699z00zz__r4_equivalence_6_2z00, BgL_bgl_string1699za700za7za7_1720za7);
BGL_BIND_STRING(BGl_string1697z00zz__r4_equivalence_6_2z00, BgL_bgl_string1697za700za7za7_1719za7);
BGL_BIND_STRING(BGl_string1695z00zz__r4_equivalence_6_2z00, BgL_bgl_string1695za700za7za7_1718za7);
BGL_BIND_STRING(BGl_string1692z00zz__r4_equivalence_6_2z00, BgL_bgl_string1692za700za7za7_1717za7);
BGL_BIND_STRING(BGl_string1689z00zz__r4_equivalence_6_2z00, BgL_bgl_string1689za700za7za7_1716za7);
BGL_BIND_PROCEDURE(BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl_za762equalza7f3za791za7za71715za7);
BGL_BIND_STRING(BGl_string1687z00zz__r4_equivalence_6_2z00, BgL_bgl_string1687za700za7za7_1714za7);
BGL_BIND_PROCEDURE(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl_za762eqza7f3za791za7za7__r1713za7);
BGL_BIND_STRING(BGl_string1685z00zz__r4_equivalence_6_2z00, BgL_bgl_string1685za700za7za7_1712za7);
BGL_BIND_STRING(BGl_string1683z00zz__r4_equivalence_6_2z00, BgL_bgl_string1683za700za7za7_1711za7);
BGL_BIND_STRING(BGl_string1680z00zz__r4_equivalence_6_2z00, BgL_bgl_string1680za700za7za7_1710za7);
BGL_BIND_STRING(BGl_string1679z00zz__r4_equivalence_6_2z00, BgL_bgl_string1679za700za7za7_1709za7);
BGL_BIND_STRING(BGl_string1678z00zz__r4_equivalence_6_2z00, BgL_bgl_string1678za700za7za7_1708za7);
BGL_BIND_STRING(BGl_string1677z00zz__r4_equivalence_6_2z00, BgL_bgl_string1677za700za7za7_1707za7);
BGL_BIND_PROCEDURE(BGl_eqvzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl_za762eqvza7f3za791za7za7__1706za7);
BGL_BIND_STRING(BGl_string1702z00zz__r4_equivalence_6_2z00, BgL_bgl_string1702za700za7za7_1705za7);
BGL_BIND_STRING(BGl_string1701z00zz__r4_equivalence_6_2z00, BgL_bgl_string1701za700za7za7_1704za7);
BGL_BIND_STRING(BGl_string1700z00zz__r4_equivalence_6_2z00, BgL_bgl_string1700za700za7za7_1703za7);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1682z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_symbol1684z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_symbol1686z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_symbol1688z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_symbol1691z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_symbol1694z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_symbol1696z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_symbol1698z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_list1681z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_list1690z00zz__r4_equivalence_6_2z00) );
ADD_ROOT( (void *)(&BGl_list1693z00zz__r4_equivalence_6_2z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long BgL_checksumz00_1958, char * BgL_fromz00_1959)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__r4_equivalence_6_2z00(); 
BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00(); 
BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(); 
return 
BGl_methodzd2initzd2zz__r4_equivalence_6_2z00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00(void)
{
{ /* Ieee/equiv.scm 14 */
BGl_symbol1682z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string1683z00zz__r4_equivalence_6_2z00); 
BGl_symbol1684z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string1685z00zz__r4_equivalence_6_2z00); 
BGl_symbol1686z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string1687z00zz__r4_equivalence_6_2z00); 
BGl_symbol1688z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string1689z00zz__r4_equivalence_6_2z00); 
BGl_list1681z00zz__r4_equivalence_6_2z00 = 
MAKE_YOUNG_PAIR(BGl_symbol1682z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1684z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1684z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1686z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1688z00zz__r4_equivalence_6_2z00, BNIL))))); 
BGl_symbol1691z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string1692z00zz__r4_equivalence_6_2z00); 
BGl_list1690z00zz__r4_equivalence_6_2z00 = 
MAKE_YOUNG_PAIR(BGl_symbol1682z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1684z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1684z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1691z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1688z00zz__r4_equivalence_6_2z00, BNIL))))); 
BGl_symbol1694z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string1695z00zz__r4_equivalence_6_2z00); 
BGl_symbol1696z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string1697z00zz__r4_equivalence_6_2z00); 
BGl_symbol1698z00zz__r4_equivalence_6_2z00 = 
bstring_to_symbol(BGl_string1699z00zz__r4_equivalence_6_2z00); 
return ( 
BGl_list1693z00zz__r4_equivalence_6_2z00 = 
MAKE_YOUNG_PAIR(BGl_symbol1682z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1694z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1694z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1696z00zz__r4_equivalence_6_2z00, 
MAKE_YOUNG_PAIR(BGl_symbol1698z00zz__r4_equivalence_6_2z00, BNIL))))), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__r4_equivalence_6_2z00(void)
{
{ /* Ieee/equiv.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* eq? */
BGL_EXPORTED_DEF bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_3, obj_t BgL_obj2z00_4)
{
{ /* Ieee/equiv.scm 70 */
return 
(BgL_obj1z00_3==BgL_obj2z00_4);} 

}



/* &eq? */
obj_t BGl_z62eqzf3z91zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1917, obj_t BgL_obj1z00_1918, obj_t BgL_obj2z00_1919)
{
{ /* Ieee/equiv.scm 70 */
return 
BBOOL(
BGl_eqzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1918, BgL_obj2z00_1919));} 

}



/* eqv? */
BGL_EXPORTED_DEF bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_5, obj_t BgL_obj2z00_6)
{
{ /* Ieee/equiv.scm 76 */
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00:
if(
(BgL_obj1z00_5==BgL_obj2z00_6))
{ /* Ieee/equiv.scm 78 */
return ((bool_t)1);}  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL_test1723z00_1997;
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1075z00_1717;
BgL__ortest_1075z00_1717 = 
INTEGERP(BgL_obj1z00_5); 
if(BgL__ortest_1075z00_1717)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1075z00_1717
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1076z00_1718;
BgL__ortest_1076z00_1718 = 
ELONGP(BgL_obj1z00_5); 
if(BgL__ortest_1076z00_1718)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1076z00_1718
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1077z00_1719;
BgL__ortest_1077z00_1719 = 
LLONGP(BgL_obj1z00_5); 
if(BgL__ortest_1077z00_1719)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1077z00_1719
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1078z00_1720;
BgL__ortest_1078z00_1720 = 
BGL_INT8P(BgL_obj1z00_5); 
if(BgL__ortest_1078z00_1720)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1078z00_1720
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1079z00_1721;
BgL__ortest_1079z00_1721 = 
BGL_UINT8P(BgL_obj1z00_5); 
if(BgL__ortest_1079z00_1721)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1079z00_1721
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1080z00_1722;
BgL__ortest_1080z00_1722 = 
BGL_INT16P(BgL_obj1z00_5); 
if(BgL__ortest_1080z00_1722)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1080z00_1722
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1081z00_1723;
BgL__ortest_1081z00_1723 = 
BGL_UINT16P(BgL_obj1z00_5); 
if(BgL__ortest_1081z00_1723)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1081z00_1723
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1082z00_1724;
BgL__ortest_1082z00_1724 = 
BGL_INT32P(BgL_obj1z00_5); 
if(BgL__ortest_1082z00_1724)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1082z00_1724
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1083z00_1725;
BgL__ortest_1083z00_1725 = 
BGL_UINT32P(BgL_obj1z00_5); 
if(BgL__ortest_1083z00_1725)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1083z00_1725
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1084z00_1726;
BgL__ortest_1084z00_1726 = 
BGL_INT64P(BgL_obj1z00_5); 
if(BgL__ortest_1084z00_1726)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1084z00_1726
; }  else 
{ /* Ieee/equiv.scm 80 */
 bool_t BgL__ortest_1085z00_1727;
BgL__ortest_1085z00_1727 = 
BGL_UINT64P(BgL_obj1z00_5); 
if(BgL__ortest_1085z00_1727)
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = BgL__ortest_1085z00_1727
; }  else 
{ /* Ieee/equiv.scm 80 */
BgL_test1723z00_1997 = 
BIGNUMP(BgL_obj1z00_5)
; } } } } } } } } } } } } 
if(BgL_test1723z00_1997)
{ /* Ieee/equiv.scm 81 */
 bool_t BgL_test1735z00_2021;
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1075z00_1729;
BgL__ortest_1075z00_1729 = 
INTEGERP(BgL_obj2z00_6); 
if(BgL__ortest_1075z00_1729)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1075z00_1729
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1076z00_1730;
BgL__ortest_1076z00_1730 = 
ELONGP(BgL_obj2z00_6); 
if(BgL__ortest_1076z00_1730)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1076z00_1730
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1077z00_1731;
BgL__ortest_1077z00_1731 = 
LLONGP(BgL_obj2z00_6); 
if(BgL__ortest_1077z00_1731)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1077z00_1731
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1078z00_1732;
BgL__ortest_1078z00_1732 = 
BGL_INT8P(BgL_obj2z00_6); 
if(BgL__ortest_1078z00_1732)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1078z00_1732
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1079z00_1733;
BgL__ortest_1079z00_1733 = 
BGL_UINT8P(BgL_obj2z00_6); 
if(BgL__ortest_1079z00_1733)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1079z00_1733
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1080z00_1734;
BgL__ortest_1080z00_1734 = 
BGL_INT16P(BgL_obj2z00_6); 
if(BgL__ortest_1080z00_1734)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1080z00_1734
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1081z00_1735;
BgL__ortest_1081z00_1735 = 
BGL_UINT16P(BgL_obj2z00_6); 
if(BgL__ortest_1081z00_1735)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1081z00_1735
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1082z00_1736;
BgL__ortest_1082z00_1736 = 
BGL_INT32P(BgL_obj2z00_6); 
if(BgL__ortest_1082z00_1736)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1082z00_1736
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1083z00_1737;
BgL__ortest_1083z00_1737 = 
BGL_UINT32P(BgL_obj2z00_6); 
if(BgL__ortest_1083z00_1737)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1083z00_1737
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1084z00_1738;
BgL__ortest_1084z00_1738 = 
BGL_INT64P(BgL_obj2z00_6); 
if(BgL__ortest_1084z00_1738)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1084z00_1738
; }  else 
{ /* Ieee/equiv.scm 81 */
 bool_t BgL__ortest_1085z00_1739;
BgL__ortest_1085z00_1739 = 
BGL_UINT64P(BgL_obj2z00_6); 
if(BgL__ortest_1085z00_1739)
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = BgL__ortest_1085z00_1739
; }  else 
{ /* Ieee/equiv.scm 81 */
BgL_test1735z00_2021 = 
BIGNUMP(BgL_obj2z00_6)
; } } } } } } } } } } } } 
if(BgL_test1735z00_2021)
{ /* Ieee/equiv.scm 81 */
 bool_t BgL_test1747z00_2045;
if(
INTEGERP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 81 */
BgL_test1747z00_2045 = 
INTEGERP(BgL_obj2z00_6)
; }  else 
{ /* Ieee/equiv.scm 81 */
BgL_test1747z00_2045 = ((bool_t)0)
; } 
if(BgL_test1747z00_2045)
{ /* Ieee/equiv.scm 81 */
return 
(
(long)CINT(BgL_obj1z00_5)==
(long)CINT(BgL_obj2z00_6));}  else 
{ /* Ieee/equiv.scm 81 */
BGL_TAIL return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_5, BgL_obj2z00_6);} }  else 
{ /* Ieee/equiv.scm 81 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 80 */
if(
REALP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 82 */
if(
REALP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 83 */
BGL_TAIL return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 83 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 82 */
if(
SYMBOLP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 84 */
return ((bool_t)0);}  else 
{ /* Ieee/equiv.scm 84 */
if(
FOREIGNP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 89 */
if(
FOREIGNP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 90 */
return 
FOREIGN_EQP(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 90 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 89 */
if(
BGL_WEAKPTRP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 91 */
if(
BGL_WEAKPTRP(BgL_obj2z00_6))
{ 
 obj_t BgL_obj2z00_2071; obj_t BgL_obj1z00_2069;
BgL_obj1z00_2069 = 
bgl_weakptr_data(BgL_obj1z00_5); 
BgL_obj2z00_2071 = 
bgl_weakptr_data(BgL_obj2z00_6); 
BgL_obj2z00_6 = BgL_obj2z00_2071; 
BgL_obj1z00_5 = BgL_obj1z00_2069; 
goto BGl_eqvzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 92 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 91 */
return ((bool_t)0);} } } } } } } 

}



/* &eqv? */
obj_t BGl_z62eqvzf3z91zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1920, obj_t BgL_obj1z00_1921, obj_t BgL_obj2z00_1922)
{
{ /* Ieee/equiv.scm 76 */
return 
BBOOL(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1921, BgL_obj2z00_1922));} 

}



/* equal? */
BGL_EXPORTED_DEF bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_7, obj_t BgL_obj2z00_8)
{
{ /* Ieee/equiv.scm 99 */
BGl_equalzf3zf3zz__r4_equivalence_6_2z00:
if(
(BgL_obj1z00_7==BgL_obj2z00_8))
{ /* Ieee/equiv.scm 101 */
return ((bool_t)1);}  else 
{ /* Ieee/equiv.scm 101 */
if(
STRINGP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 103 */
if(
STRINGP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 104 */
 long BgL_l1z00_1749;
BgL_l1z00_1749 = 
STRING_LENGTH(BgL_obj1z00_7); 
if(
(BgL_l1z00_1749==
STRING_LENGTH(BgL_obj2z00_8)))
{ /* Ieee/equiv.scm 104 */
 int BgL_arg1254z00_1752;
{ /* Ieee/equiv.scm 104 */
 char * BgL_auxz00_2087; char * BgL_tmpz00_2085;
BgL_auxz00_2087 = 
BSTRING_TO_STRING(BgL_obj2z00_8); 
BgL_tmpz00_2085 = 
BSTRING_TO_STRING(BgL_obj1z00_7); 
BgL_arg1254z00_1752 = 
memcmp(BgL_tmpz00_2085, BgL_auxz00_2087, BgL_l1z00_1749); } 
return 
(
(long)(BgL_arg1254z00_1752)==0L);}  else 
{ /* Ieee/equiv.scm 104 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 104 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 103 */
if(
SYMBOLP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 105 */
return ((bool_t)0);}  else 
{ /* Ieee/equiv.scm 105 */
if(
PAIRP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 107 */
if(
PAIRP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 108 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CAR(BgL_obj1z00_7), 
CAR(BgL_obj2z00_8)))
{ 
 obj_t BgL_obj2z00_2104; obj_t BgL_obj1z00_2102;
BgL_obj1z00_2102 = 
CDR(BgL_obj1z00_7); 
BgL_obj2z00_2104 = 
CDR(BgL_obj2z00_8); 
BgL_obj2z00_8 = BgL_obj2z00_2104; 
BgL_obj1z00_7 = BgL_obj1z00_2102; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 109 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 108 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 107 */
if(
VECTORP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 111 */
if(
VECTORP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 113 */
if(
(
VECTOR_LENGTH(BgL_obj2z00_8)==
VECTOR_LENGTH(BgL_obj1z00_7)))
{ /* Ieee/equiv.scm 115 */
 bool_t BgL_test1767z00_2114;
{ /* Ieee/equiv.scm 115 */
 int BgL_arg1187z00_1239; int BgL_arg1189z00_1240;
BgL_arg1187z00_1239 = 
VECTOR_TAG(BgL_obj1z00_7); 
BgL_arg1189z00_1240 = 
VECTOR_TAG(BgL_obj2z00_8); 
BgL_test1767z00_2114 = 
(
(long)(BgL_arg1187z00_1239)==
(long)(BgL_arg1189z00_1240)); } 
if(BgL_test1767z00_2114)
{ 
 long BgL_iz00_1231;
BgL_iz00_1231 = 0L; 
BgL_zc3z04anonymousza31165ze3z87_1232:
{ /* Ieee/equiv.scm 117 */
 bool_t BgL__ortest_1046z00_1233;
BgL__ortest_1046z00_1233 = 
(BgL_iz00_1231==
VECTOR_LENGTH(BgL_obj1z00_7)); 
if(BgL__ortest_1046z00_1233)
{ /* Ieee/equiv.scm 117 */
return BgL__ortest_1046z00_1233;}  else 
{ /* Ieee/equiv.scm 118 */
 bool_t BgL_test1769z00_2123;
{ /* Ieee/equiv.scm 118 */
 obj_t BgL_arg1169z00_1236; obj_t BgL_arg1170z00_1237;
BgL_arg1169z00_1236 = 
VECTOR_REF(
((obj_t)BgL_obj1z00_7),BgL_iz00_1231); 
BgL_arg1170z00_1237 = 
VECTOR_REF(
((obj_t)BgL_obj2z00_8),BgL_iz00_1231); 
BgL_test1769z00_2123 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1169z00_1236, BgL_arg1170z00_1237); } 
if(BgL_test1769z00_2123)
{ 
 long BgL_iz00_2129;
BgL_iz00_2129 = 
(BgL_iz00_1231+1L); 
BgL_iz00_1231 = BgL_iz00_2129; 
goto BgL_zc3z04anonymousza31165ze3z87_1232;}  else 
{ /* Ieee/equiv.scm 118 */
return ((bool_t)0);} } } }  else 
{ /* Ieee/equiv.scm 115 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 114 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 113 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 111 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_7, BgL_obj2z00_8))
{ /* Ieee/equiv.scm 121 */
return ((bool_t)1);}  else 
{ /* Ieee/equiv.scm 121 */
if(
INTEGERP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 123 */
return ((bool_t)0);}  else 
{ /* Ieee/equiv.scm 123 */
if(
BGL_HVECTORP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 126 */
 long BgL_lobj1z00_1245;
BgL_lobj1z00_1245 = 
BGL_HVECTOR_LENGTH(BgL_obj1z00_7); 
if(
BGL_HVECTORP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 128 */
 bool_t BgL_test1774z00_2140;
{ /* Ieee/equiv.scm 128 */
 long BgL_arg1203z00_1268;
BgL_arg1203z00_1268 = 
BGL_HVECTOR_LENGTH(BgL_obj2z00_8); 
BgL_test1774z00_2140 = 
(BgL_arg1203z00_1268==BgL_lobj1z00_1245); } 
if(BgL_test1774z00_2140)
{ /* Ieee/equiv.scm 129 */
 obj_t BgL_tag1z00_1248;
BgL_tag1z00_1248 = 
BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(BgL_obj1z00_7); 
{ /* Ieee/equiv.scm 130 */
 obj_t BgL__z00_1249; obj_t BgL_getz00_1250; obj_t BgL__z00_1251; obj_t BgL_cmpz00_1252;
{ /* Ieee/equiv.scm 131 */
 obj_t BgL_tmpz00_1779;
{ /* Ieee/equiv.scm 131 */
 int BgL_tmpz00_2144;
BgL_tmpz00_2144 = 
(int)(1L); 
BgL_tmpz00_1779 = 
BGL_MVALUES_VAL(BgL_tmpz00_2144); } 
{ /* Ieee/equiv.scm 131 */
 int BgL_tmpz00_2147;
BgL_tmpz00_2147 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2147, BUNSPEC); } 
BgL__z00_1249 = BgL_tmpz00_1779; } 
{ /* Ieee/equiv.scm 131 */
 obj_t BgL_tmpz00_1780;
{ /* Ieee/equiv.scm 131 */
 int BgL_tmpz00_2150;
BgL_tmpz00_2150 = 
(int)(2L); 
BgL_tmpz00_1780 = 
BGL_MVALUES_VAL(BgL_tmpz00_2150); } 
{ /* Ieee/equiv.scm 131 */
 int BgL_tmpz00_2153;
BgL_tmpz00_2153 = 
(int)(2L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2153, BUNSPEC); } 
BgL_getz00_1250 = BgL_tmpz00_1780; } 
{ /* Ieee/equiv.scm 131 */
 obj_t BgL_tmpz00_1781;
{ /* Ieee/equiv.scm 131 */
 int BgL_tmpz00_2156;
BgL_tmpz00_2156 = 
(int)(3L); 
BgL_tmpz00_1781 = 
BGL_MVALUES_VAL(BgL_tmpz00_2156); } 
{ /* Ieee/equiv.scm 131 */
 int BgL_tmpz00_2159;
BgL_tmpz00_2159 = 
(int)(3L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2159, BUNSPEC); } 
BgL__z00_1251 = BgL_tmpz00_1781; } 
{ /* Ieee/equiv.scm 131 */
 obj_t BgL_tmpz00_1782;
{ /* Ieee/equiv.scm 131 */
 int BgL_tmpz00_2162;
BgL_tmpz00_2162 = 
(int)(4L); 
BgL_tmpz00_1782 = 
BGL_MVALUES_VAL(BgL_tmpz00_2162); } 
{ /* Ieee/equiv.scm 131 */
 int BgL_tmpz00_2165;
BgL_tmpz00_2165 = 
(int)(4L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2165, BUNSPEC); } 
BgL_cmpz00_1252 = BgL_tmpz00_1782; } 
{ /* Ieee/equiv.scm 131 */
 obj_t BgL_tag2z00_1253;
BgL_tag2z00_1253 = 
BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(BgL_obj2z00_8); 
{ /* Ieee/equiv.scm 132 */
 obj_t BgL__z00_1254; obj_t BgL__z00_1255; obj_t BgL__z00_1256; obj_t BgL__z00_1257;
{ /* Ieee/equiv.scm 133 */
 obj_t BgL_tmpz00_1783;
{ /* Ieee/equiv.scm 133 */
 int BgL_tmpz00_2169;
BgL_tmpz00_2169 = 
(int)(1L); 
BgL_tmpz00_1783 = 
BGL_MVALUES_VAL(BgL_tmpz00_2169); } 
{ /* Ieee/equiv.scm 133 */
 int BgL_tmpz00_2172;
BgL_tmpz00_2172 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2172, BUNSPEC); } 
BgL__z00_1254 = BgL_tmpz00_1783; } 
{ /* Ieee/equiv.scm 133 */
 obj_t BgL_tmpz00_1784;
{ /* Ieee/equiv.scm 133 */
 int BgL_tmpz00_2175;
BgL_tmpz00_2175 = 
(int)(2L); 
BgL_tmpz00_1784 = 
BGL_MVALUES_VAL(BgL_tmpz00_2175); } 
{ /* Ieee/equiv.scm 133 */
 int BgL_tmpz00_2178;
BgL_tmpz00_2178 = 
(int)(2L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2178, BUNSPEC); } 
BgL__z00_1255 = BgL_tmpz00_1784; } 
{ /* Ieee/equiv.scm 133 */
 obj_t BgL_tmpz00_1785;
{ /* Ieee/equiv.scm 133 */
 int BgL_tmpz00_2181;
BgL_tmpz00_2181 = 
(int)(3L); 
BgL_tmpz00_1785 = 
BGL_MVALUES_VAL(BgL_tmpz00_2181); } 
{ /* Ieee/equiv.scm 133 */
 int BgL_tmpz00_2184;
BgL_tmpz00_2184 = 
(int)(3L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2184, BUNSPEC); } 
BgL__z00_1256 = BgL_tmpz00_1785; } 
{ /* Ieee/equiv.scm 133 */
 obj_t BgL_tmpz00_1786;
{ /* Ieee/equiv.scm 133 */
 int BgL_tmpz00_2187;
BgL_tmpz00_2187 = 
(int)(4L); 
BgL_tmpz00_1786 = 
BGL_MVALUES_VAL(BgL_tmpz00_2187); } 
{ /* Ieee/equiv.scm 133 */
 int BgL_tmpz00_2190;
BgL_tmpz00_2190 = 
(int)(4L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2190, BUNSPEC); } 
BgL__z00_1257 = BgL_tmpz00_1786; } 
if(
(BgL_tag1z00_1248==BgL_tag2z00_1253))
{ 
 long BgL_iz00_1260;
BgL_iz00_1260 = 0L; 
BgL_zc3z04anonymousza31196ze3z87_1261:
{ /* Ieee/equiv.scm 135 */
 bool_t BgL__ortest_1051z00_1262;
BgL__ortest_1051z00_1262 = 
(BgL_iz00_1260==BgL_lobj1z00_1245); 
if(BgL__ortest_1051z00_1262)
{ /* Ieee/equiv.scm 135 */
return BgL__ortest_1051z00_1262;}  else 
{ /* Ieee/equiv.scm 136 */
 obj_t BgL__andtest_1052z00_1263;
{ /* Ieee/equiv.scm 136 */
 obj_t BgL_arg1201z00_1265; obj_t BgL_arg1202z00_1266;
{ /* Ieee/equiv.scm 136 */
 obj_t BgL_funz00_1932;
if(
PROCEDUREP(BgL_getz00_1250))
{ /* Ieee/equiv.scm 136 */
BgL_funz00_1932 = BgL_getz00_1250; }  else 
{ 
 obj_t BgL_auxz00_2199;
BgL_auxz00_2199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__r4_equivalence_6_2z00, 
BINT(4665L), BGl_string1678z00zz__r4_equivalence_6_2z00, BGl_string1679z00zz__r4_equivalence_6_2z00, BgL_getz00_1250); 
FAILURE(BgL_auxz00_2199,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1932, 2))
{ /* Ieee/equiv.scm 136 */
BgL_arg1201z00_1265 = 
(VA_PROCEDUREP( BgL_funz00_1932 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_funz00_1932))(BgL_getz00_1250, BgL_obj1z00_7, 
BINT(BgL_iz00_1260), BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_1932))(BgL_getz00_1250, BgL_obj1z00_7, 
BINT(BgL_iz00_1260)) ); }  else 
{ /* Ieee/equiv.scm 136 */
FAILURE(BGl_string1680z00zz__r4_equivalence_6_2z00,BGl_list1681z00zz__r4_equivalence_6_2z00,BgL_funz00_1932);} } 
{ /* Ieee/equiv.scm 136 */
 obj_t BgL_funz00_1936;
if(
PROCEDUREP(BgL_getz00_1250))
{ /* Ieee/equiv.scm 136 */
BgL_funz00_1936 = BgL_getz00_1250; }  else 
{ 
 obj_t BgL_auxz00_2214;
BgL_auxz00_2214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__r4_equivalence_6_2z00, 
BINT(4678L), BGl_string1678z00zz__r4_equivalence_6_2z00, BGl_string1679z00zz__r4_equivalence_6_2z00, BgL_getz00_1250); 
FAILURE(BgL_auxz00_2214,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1936, 2))
{ /* Ieee/equiv.scm 136 */
BgL_arg1202z00_1266 = 
(VA_PROCEDUREP( BgL_funz00_1936 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_funz00_1936))(BgL_getz00_1250, BgL_obj2z00_8, 
BINT(BgL_iz00_1260), BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_1936))(BgL_getz00_1250, BgL_obj2z00_8, 
BINT(BgL_iz00_1260)) ); }  else 
{ /* Ieee/equiv.scm 136 */
FAILURE(BGl_string1680z00zz__r4_equivalence_6_2z00,BGl_list1690z00zz__r4_equivalence_6_2z00,BgL_funz00_1936);} } 
{ /* Ieee/equiv.scm 136 */
 obj_t BgL_funz00_1940;
if(
PROCEDUREP(BgL_cmpz00_1252))
{ /* Ieee/equiv.scm 136 */
BgL_funz00_1940 = BgL_cmpz00_1252; }  else 
{ 
 obj_t BgL_auxz00_2229;
BgL_auxz00_2229 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__r4_equivalence_6_2z00, 
BINT(4660L), BGl_string1678z00zz__r4_equivalence_6_2z00, BGl_string1679z00zz__r4_equivalence_6_2z00, BgL_cmpz00_1252); 
FAILURE(BgL_auxz00_2229,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1940, 2))
{ /* Ieee/equiv.scm 136 */
BgL__andtest_1052z00_1263 = 
(VA_PROCEDUREP( BgL_funz00_1940 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_funz00_1940))(BgL_cmpz00_1252, BgL_arg1201z00_1265, BgL_arg1202z00_1266, BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_1940))(BgL_cmpz00_1252, BgL_arg1201z00_1265, BgL_arg1202z00_1266) ); }  else 
{ /* Ieee/equiv.scm 136 */
FAILURE(BGl_string1680z00zz__r4_equivalence_6_2z00,BGl_list1693z00zz__r4_equivalence_6_2z00,BgL_funz00_1940);} } } 
if(
CBOOL(BgL__andtest_1052z00_1263))
{ 
 long BgL_iz00_2243;
BgL_iz00_2243 = 
(BgL_iz00_1260+1L); 
BgL_iz00_1260 = BgL_iz00_2243; 
goto BgL_zc3z04anonymousza31196ze3z87_1261;}  else 
{ /* Ieee/equiv.scm 136 */
return ((bool_t)0);} } } }  else 
{ /* Ieee/equiv.scm 133 */
return ((bool_t)0);} } } } }  else 
{ /* Ieee/equiv.scm 128 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 127 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 125 */
if(
REALP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 138 */
return ((bool_t)0);}  else 
{ /* Ieee/equiv.scm 138 */
if(
STRUCTP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 141 */
 int BgL_lobj1z00_1271;
BgL_lobj1z00_1271 = 
STRUCT_LENGTH(BgL_obj1z00_7); 
if(
STRUCTP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 142 */
if(
(
(long)(
STRUCT_LENGTH(BgL_obj2z00_8))==
(long)(BgL_lobj1z00_1271)))
{ 
 long BgL_iz00_1275;
BgL_iz00_1275 = 0L; 
BgL_zc3z04anonymousza31206ze3z87_1276:
{ /* Ieee/equiv.scm 145 */
 bool_t BgL__ortest_1055z00_1277;
BgL__ortest_1055z00_1277 = 
(BgL_iz00_1275==
(long)(BgL_lobj1z00_1271)); 
if(BgL__ortest_1055z00_1277)
{ /* Ieee/equiv.scm 145 */
return BgL__ortest_1055z00_1277;}  else 
{ /* Ieee/equiv.scm 146 */
 bool_t BgL_test1789z00_2260;
{ /* Ieee/equiv.scm 146 */
 obj_t BgL_arg1208z00_1280; obj_t BgL_arg1211z00_1281;
BgL_arg1208z00_1280 = 
STRUCT_REF(
((obj_t)BgL_obj1z00_7), 
(int)(BgL_iz00_1275)); 
BgL_arg1211z00_1281 = 
STRUCT_REF(
((obj_t)BgL_obj2z00_8), 
(int)(BgL_iz00_1275)); 
BgL_test1789z00_2260 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1208z00_1280, BgL_arg1211z00_1281); } 
if(BgL_test1789z00_2260)
{ 
 long BgL_iz00_2268;
BgL_iz00_2268 = 
(BgL_iz00_1275+1L); 
BgL_iz00_1275 = BgL_iz00_2268; 
goto BgL_zc3z04anonymousza31206ze3z87_1276;}  else 
{ /* Ieee/equiv.scm 146 */
return ((bool_t)0);} } } }  else 
{ /* Ieee/equiv.scm 143 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 142 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 140 */
if(
CELLP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 148 */
if(
CELLP(BgL_obj2z00_8))
{ 
 obj_t BgL_obj2z00_2276; obj_t BgL_obj1z00_2274;
BgL_obj1z00_2274 = 
CELL_REF(BgL_obj1z00_7); 
BgL_obj2z00_2276 = 
CELL_REF(BgL_obj2z00_8); 
BgL_obj2z00_8 = BgL_obj2z00_2276; 
BgL_obj1z00_7 = BgL_obj1z00_2274; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 149 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 148 */
if(
BGL_OBJECTP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 150 */
if(
BGL_OBJECTP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 151 */
return 
BGl_objectzd2equalzf3z21zz__objectz00(
((BgL_objectz00_bglt)BgL_obj1z00_7), 
((BgL_objectz00_bglt)BgL_obj2z00_8));}  else 
{ /* Ieee/equiv.scm 151 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 150 */
if(
UCS2_STRINGP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 152 */
if(
UCS2_STRINGP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 153 */
return 
ucs2_strcmp(BgL_obj1z00_7, BgL_obj2z00_8);}  else 
{ /* Ieee/equiv.scm 153 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 152 */
if(
CUSTOMP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 154 */
if(
CUSTOMP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 155 */
 obj_t BgL_obj1z00_1805; obj_t BgL_obj2z00_1806;
if(
CUSTOMP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 155 */
BgL_obj1z00_1805 = BgL_obj1z00_7; }  else 
{ 
 obj_t BgL_auxz00_2296;
BgL_auxz00_2296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__r4_equivalence_6_2z00, 
BINT(5347L), BGl_string1700z00zz__r4_equivalence_6_2z00, BGl_string1701z00zz__r4_equivalence_6_2z00, BgL_obj1z00_7); 
FAILURE(BgL_auxz00_2296,BFALSE,BFALSE);} 
if(
CUSTOMP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 155 */
BgL_obj2z00_1806 = BgL_obj2z00_8; }  else 
{ 
 obj_t BgL_auxz00_2302;
BgL_auxz00_2302 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1677z00zz__r4_equivalence_6_2z00, 
BINT(5352L), BGl_string1700z00zz__r4_equivalence_6_2z00, BGl_string1701z00zz__r4_equivalence_6_2z00, BgL_obj2z00_8); 
FAILURE(BgL_auxz00_2302,BFALSE,BFALSE);} 
return 
CUSTOM_CMP(BgL_obj1z00_1805, BgL_obj2z00_1806);}  else 
{ /* Ieee/equiv.scm 155 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 154 */
if(
UCS2P(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 156 */
if(
UCS2P(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 157 */
return 
(
CUCS2(BgL_obj1z00_7)==
CUCS2(BgL_obj2z00_8));}  else 
{ /* Ieee/equiv.scm 157 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 156 */
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 158 */
return ((bool_t)0);}  else 
{ /* Ieee/equiv.scm 158 */
if(
BGL_DATEP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 160 */
if(
BGL_DATEP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 161 */
return 
(
bgl_date_to_seconds(BgL_obj1z00_7)==
bgl_date_to_seconds(BgL_obj2z00_8));}  else 
{ /* Ieee/equiv.scm 161 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 160 */
if(
FOREIGNP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 162 */
if(
FOREIGNP(BgL_obj2z00_8))
{ /* Ieee/equiv.scm 163 */
return 
FOREIGN_EQP(BgL_obj1z00_7, BgL_obj2z00_8);}  else 
{ /* Ieee/equiv.scm 163 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 162 */
if(
BGL_WEAKPTRP(BgL_obj1z00_7))
{ /* Ieee/equiv.scm 164 */
if(
BGL_WEAKPTRP(BgL_obj2z00_8))
{ 
 obj_t BgL_obj2z00_2334; obj_t BgL_obj1z00_2332;
BgL_obj1z00_2332 = 
bgl_weakptr_data(BgL_obj1z00_7); 
BgL_obj2z00_2334 = 
bgl_weakptr_data(BgL_obj2z00_8); 
BgL_obj2z00_8 = BgL_obj2z00_2334; 
BgL_obj1z00_7 = BgL_obj1z00_2332; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 165 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 164 */
return ((bool_t)0);} } } } } } } } } } } } } } } } } } } } 

}



/* &equal? */
obj_t BGl_z62equalzf3z91zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1923, obj_t BgL_obj1z00_1924, obj_t BgL_obj2z00_1925)
{
{ /* Ieee/equiv.scm 99 */
return 
BBOOL(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1924, BgL_obj2z00_1925));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__r4_equivalence_6_2z00(void)
{
{ /* Ieee/equiv.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__r4_equivalence_6_2z00(void)
{
{ /* Ieee/equiv.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00(void)
{
{ /* Ieee/equiv.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(void)
{
{ /* Ieee/equiv.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1702z00zz__r4_equivalence_6_2z00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1702z00zz__r4_equivalence_6_2z00));} 

}

#ifdef __cplusplus
}
#endif
